Debian Bug report logs - #603480
kdebase-workspace: qguiplatformplugin fileDialogSetVisible segs if object is hidden before it's made visible

version graph

Package: kdebase-workspace; Maintainer for kdebase-workspace is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for kdebase-workspace is src:kde-workspace.

Reported by: "Dr. David Alan Gilbert" <debian@treblig.org>

Date: Sun, 14 Nov 2010 15:42:04 UTC

Severity: important

Tags: confirmed, patch, upstream

Found in version kdebase-workspace/4:4.4.5-4

Fixed in version kdebase-workspace/4:4.4.5-5

Done: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.kde.org/show_bug.cgi?id=256944

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#603480; Package kdebase-workspace. (Sun, 14 Nov 2010 15:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dr. David Alan Gilbert" <debian@treblig.org>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 14 Nov 2010 15:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Dr. David Alan Gilbert" <debian@treblig.org>
To: submit@bugs.debian.org
Subject: kdebase-workspace: qguiplatformplugin fileDialogSetVisible segs if object is hidden before it's made visible
Date: Sun, 14 Nov 2010 15:38:48 +0000
Package: kdebase-workspace
Version: 4:4.4.5-4
Severity: important

In qguiplatformplugin_kde.cpp:fileDialogSetVisible it has
        if (!kdefd && visible) {

           if(qfd->options() & QFileDialog::DontUseNativeDialog)
                return false;

            kdefd = new KFileDialogBridge(KUrl::fromPath(qfd->directory().canonicalPath()),
                                          qt2KdeFilter(qfd->nameFilters().join(";;")), qfd);

            qfd->setProperty("_k_bridge", QVariant::fromValue(kdefd));
        }

i.e. if you are making this visible and kdefd hasn't been created then create it now.
Most of the contents of the function are guarded by an if (visible) however on line 249 we have
        kdefd->setVisible(visible);

and if you make the object hidden before it's ever been made visible then kdefd will be NULL
and it seg's on line 249.

This is the underlying cause of bug 599303 in ktoon which is marked RC.
It makes ktoon unusable for KDE users (although it works for Gnome users!)

I suggest guarding this line with an if (kdefd)  but I don't know the structure to know if that is
all that is needed.

Dave
-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kdebase-workspace depends on:
ii  kde-window-manager            4:4.4.5-4  the K window manager (KWin)
ii  kdebase-workspace-bin         4:4.4.5-4  core binaries for the KDE Plasma W
ii  klipper                       4:4.4.5-4  clipboard manager
ii  ksysguard                     4:4.4.5-4  process monitor and system statist
ii  systemsettings                4:4.4.5-4  System Settings

Versions of packages kdebase-workspace recommends:
ii  kdm                           4:4.4.5-4  KDE Display Manager for X11

kdebase-workspace suggests no packages.

-- no debconf information

-- 
 -----Open up your eyes, open up your mind, open up your code -------   
/ Dr. David Alan Gilbert    |       Running GNU/Linux       | Happy  \ 
\ gro.gilbert @ treblig.org |                               | In Hex /
 \ _________________________|_____ http://www.treblig.org   |_______/




Set Bug forwarded-to-address to 'https://bugs.kde.org/show_bug.cgi?id=256944'. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Mon, 15 Nov 2010 00:39:02 GMT) Full text and rfc822 format available.

Added tag(s) upstream and confirmed. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Mon, 15 Nov 2010 00:39:03 GMT) Full text and rfc822 format available.

Added indication that 603480 affects ktoon Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Mon, 15 Nov 2010 00:57:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#603480; Package kdebase-workspace. (Sun, 21 Nov 2010 01:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 21 Nov 2010 01:51:03 GMT) Full text and rfc822 format available.

Message #16 received at 603480@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: 603480@bugs.debian.org, control@bugs.debian.org
Subject: Re: kdebase-workspace: qguiplatformplugin fileDialogSetVisible segs if object is hidden before it's made visible
Date: Sun, 21 Nov 2010 02:46:24 +0100
[Message part 1 (text/plain, inline)]
tags 603480 + patch
thanks

The proposed patch looks good.

Eckhart
[599303.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Sun, 21 Nov 2010 01:51:04 GMT) Full text and rfc822 format available.

Added indication that bug 603480 blocks 599303 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 27 Nov 2010 17:18:06 GMT) Full text and rfc822 format available.

Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. (Sun, 28 Nov 2010 12:06:09 GMT) Full text and rfc822 format available.

Notification sent to "Dr. David Alan Gilbert" <debian@treblig.org>:
Bug acknowledged by developer. (Sun, 28 Nov 2010 12:06:09 GMT) Full text and rfc822 format available.

Message #25 received at 603480-close@bugs.debian.org (full text, mbox):

From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 603480-close@bugs.debian.org
Subject: Bug#603480: fixed in kdebase-workspace 4:4.4.5-5
Date: Sun, 28 Nov 2010 12:03:27 +0000
Source: kdebase-workspace
Source-Version: 4:4.4.5-5

We believe that the bug you reported is fixed in the latest version of
kdebase-workspace, which is due to be installed in the Debian FTP archive:

kde-window-manager_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/kde-window-manager_4.4.5-5_amd64.deb
kdebase-workspace-bin_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/kdebase-workspace-bin_4.4.5-5_amd64.deb
kdebase-workspace-data_4.4.5-5_all.deb
  to main/k/kdebase-workspace/kdebase-workspace-data_4.4.5-5_all.deb
kdebase-workspace-dbg_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/kdebase-workspace-dbg_4.4.5-5_amd64.deb
kdebase-workspace-dev_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/kdebase-workspace-dev_4.4.5-5_amd64.deb
kdebase-workspace-kgreet-plugins_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/kdebase-workspace-kgreet-plugins_4.4.5-5_amd64.deb
kdebase-workspace_4.4.5-5.debian.tar.gz
  to main/k/kdebase-workspace/kdebase-workspace_4.4.5-5.debian.tar.gz
kdebase-workspace_4.4.5-5.dsc
  to main/k/kdebase-workspace/kdebase-workspace_4.4.5-5.dsc
kdebase-workspace_4.4.5-5_all.deb
  to main/k/kdebase-workspace/kdebase-workspace_4.4.5-5_all.deb
kdm_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/kdm_4.4.5-5_amd64.deb
klipper_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/klipper_4.4.5-5_amd64.deb
ksysguard_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/ksysguard_4.4.5-5_amd64.deb
ksysguardd_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/ksysguardd_4.4.5-5_amd64.deb
libkdecorations4_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libkdecorations4_4.4.5-5_amd64.deb
libkephal4_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libkephal4_4.4.5-5_amd64.deb
libkscreensaver5_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libkscreensaver5_4.4.5-5_amd64.deb
libksgrd4_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libksgrd4_4.4.5-5_amd64.deb
libksignalplotter4_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libksignalplotter4_4.4.5-5_amd64.deb
libkwineffects1a_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libkwineffects1a_4.4.5-5_amd64.deb
libkworkspace4_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libkworkspace4_4.4.5-5_amd64.deb
liblsofui4_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/liblsofui4_4.4.5-5_amd64.deb
libplasma-geolocation-interface4_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libplasma-geolocation-interface4_4.4.5-5_amd64.deb
libplasmaclock4a_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libplasmaclock4a_4.4.5-5_amd64.deb
libplasmagenericshell4_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libplasmagenericshell4_4.4.5-5_amd64.deb
libprocesscore4a_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libprocesscore4a_4.4.5-5_amd64.deb
libprocessui4a_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libprocessui4a_4.4.5-5_amd64.deb
libsolidcontrol4_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libsolidcontrol4_4.4.5-5_amd64.deb
libsolidcontrolifaces4_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libsolidcontrolifaces4_4.4.5-5_amd64.deb
libtaskmanager4a_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libtaskmanager4a_4.4.5-5_amd64.deb
libweather-ion4a_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/libweather-ion4a_4.4.5-5_amd64.deb
plasma-dataengines-workspace_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/plasma-dataengines-workspace_4.4.5-5_amd64.deb
plasma-desktop_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/plasma-desktop_4.4.5-5_amd64.deb
plasma-netbook_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/plasma-netbook_4.4.5-5_amd64.deb
plasma-scriptengine-googlegadgets_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/plasma-scriptengine-googlegadgets_4.4.5-5_amd64.deb
plasma-scriptengine-python_4.4.5-5_all.deb
  to main/k/kdebase-workspace/plasma-scriptengine-python_4.4.5-5_all.deb
plasma-scriptengine-qedje_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/plasma-scriptengine-qedje_4.4.5-5_amd64.deb
plasma-scriptengine-ruby_4.4.5-5_all.deb
  to main/k/kdebase-workspace/plasma-scriptengine-ruby_4.4.5-5_all.deb
plasma-scriptengine-webkit_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/plasma-scriptengine-webkit_4.4.5-5_amd64.deb
plasma-scriptengines_4.4.5-5_all.deb
  to main/k/kdebase-workspace/plasma-scriptengines_4.4.5-5_all.deb
plasma-widgets-workspace_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/plasma-widgets-workspace_4.4.5-5_amd64.deb
systemsettings_4.4.5-5_amd64.deb
  to main/k/kdebase-workspace/systemsettings_4.4.5-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603480@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated kdebase-workspace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 28 Nov 2010 13:09:18 +0200
Source: kdebase-workspace
Binary: kdebase-workspace plasma-desktop plasma-netbook kdebase-workspace-bin kdebase-workspace-data kdebase-workspace-dev plasma-dataengines-workspace plasma-widgets-workspace plasma-scriptengines plasma-scriptengine-qedje plasma-scriptengine-ruby plasma-scriptengine-python plasma-scriptengine-webkit plasma-scriptengine-googlegadgets kdm klipper ksysguardd ksysguard kde-window-manager libkdecorations4 libkwineffects1a systemsettings kdebase-workspace-kgreet-plugins libkephal4 libkscreensaver5 libksgrd4 libksignalplotter4 libkworkspace4 liblsofui4 libplasmaclock4a libplasma-geolocation-interface4 libplasmagenericshell4 libprocesscore4a libprocessui4a libsolidcontrol4 libsolidcontrolifaces4 libtaskmanager4a libweather-ion4a kdebase-workspace-dbg
Architecture: source all amd64
Version: 4:4.4.5-5
Distribution: unstable
Urgency: medium
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Description: 
 kde-window-manager - the K window manager (KWin)
 kdebase-workspace - KDE Plasma Workspace components
 kdebase-workspace-bin - core binaries for the KDE Plasma Workspace
 kdebase-workspace-data - shared data files for the KDE Plasma Workspace
 kdebase-workspace-dbg - debugging symbols for the KDE Plasma Workspaces
 kdebase-workspace-dev - development files for the KDE Plasma Workspace
 kdebase-workspace-kgreet-plugins - KDE greet libraries for authentication
 kdm        - KDE Display Manager for X11
 klipper    - clipboard manager
 ksysguard  - process monitor and system statistics
 ksysguardd - System Guard Daemon
 libkdecorations4 - library used by decorations for the KDE window manager
 libkephal4 - API for easier handling of multihead systems
 libkscreensaver5 - library of the KDE Screensaver system
 libksgrd4  - library for ksysguard
 libksignalplotter4 - the KSignalPlotter widget
 libkwineffects1a - library used by effects for the KDE window manager
 libkworkspace4 - library for the kdebase workspace
 liblsofui4 - library for ksysguard based priority scheduling
 libplasma-geolocation-interface4 - library for the Plasma geolocation
 libplasmaclock4a - library for Plasma clocks
 libplasmagenericshell4 - shared elements for all the plasma shells
 libprocesscore4a - library for ksysguard based process view
 libprocessui4a - library for ksysguard process user interface
 libsolidcontrol4 - library for Solid based network management
 libsolidcontrolifaces4 - library for Solid based network interface management
 libtaskmanager4a - library which provides task management facilities
 libweather-ion4a - library which provides an interface for weather information servi
 plasma-dataengines-workspace - KDE Plasma data engines
 plasma-desktop - The KDE Plasma workspace for desktop and laptop computers
 plasma-netbook - The KDE Plasma workspace for netbook computers
 plasma-scriptengine-googlegadgets - Google Gadgets script engine for Plasma
 plasma-scriptengine-python - Python script engine for Plasma
 plasma-scriptengine-qedje - QEdje script engine for Plasma
 plasma-scriptengine-ruby - Ruby script engine for Plasma
 plasma-scriptengine-webkit - Web and Mac OS X dashboard widget support for Plasma
 plasma-scriptengines - a metapackage to install all Plasma script engines
 plasma-widgets-workspace - plasma widgets and containments for the KDE Plasma Workspace
 systemsettings - System Settings
Closes: 586540 603480 605135
Changes: 
 kdebase-workspace (4:4.4.5-5) unstable; urgency=medium
 .
   [ Modestas Vainius ]
   * Add patch 31_kdm_vt_switching_on_kfreebsd.diff which implements VT
     switching and status detection support for KDM on kFreeBSD. This should
     fix an issue with KDM hijacking VT2 on bootup. (Closes: #586540)
   * Fix ksmserver crash on logout. It's 100% reproducible on kfreebsd-amd64.
   * Make kdebase-workspace-bin Replace and Break kdesktop. (Closes: #605135)
   * Set urgency=medium due to multiple RC bug fixes.
 .
   [ Didier Raboud ]
   * Fix a segfault in qguiplatformplugin_kde, thanks to David Alan Gilbert
     (patch 33_qguiplatformplugin_kde_NULL_check.diff). (Closes: #603480)
Checksums-Sha1: 
 84afac9090a7922c20cf0908fff250c2e0faa0ca 3483 kdebase-workspace_4.4.5-5.dsc
 274f7d6dac6a5c93fdb2a3ce4e8ed77c6bfddf1f 140253 kdebase-workspace_4.4.5-5.debian.tar.gz
 e3d6d3c1a76a541cb2b7f8c1f251930bdb32bebf 31120 kdebase-workspace_4.4.5-5_all.deb
 e973c95fd7053b31dddf9581682ce5aa94f75caa 68153780 kdebase-workspace-data_4.4.5-5_all.deb
 14120e5e2c94fa22e78f991f2f0931b3a6bc455a 29648 plasma-scriptengines_4.4.5-5_all.deb
 b08a0e62e8bc682c87e3875211931251a16633df 37458 plasma-scriptengine-ruby_4.4.5-5_all.deb
 e9243aeffcfac3367727cfa0bb11a369f5326010 44048 plasma-scriptengine-python_4.4.5-5_all.deb
 a21bb380c354fc8d4b7c8111d3e41c8ae9777eed 633684 plasma-desktop_4.4.5-5_amd64.deb
 eceb66f4a6d46f47780fd608ef45fa3e715a2d9a 325268 plasma-netbook_4.4.5-5_amd64.deb
 b00b7a22c257f20ff1fd675fa72e6e8749edeb2f 3483528 kdebase-workspace-bin_4.4.5-5_amd64.deb
 ff3cf96acaaadda795b776678642f5c7ac98b234 174456 kdebase-workspace-dev_4.4.5-5_amd64.deb
 577b8fc6a79291e9823c0c4736df98c44ad36e86 689616 plasma-dataengines-workspace_4.4.5-5_amd64.deb
 3a673c92e7a551bb214db1ad62c6dd3c36cdc2a5 672148 plasma-widgets-workspace_4.4.5-5_amd64.deb
 621999514bf1faffaa1a76fc7f8ed42993963b12 48994 plasma-scriptengine-qedje_4.4.5-5_amd64.deb
 ddae399783889d0c1332181f5fa11bb5111b963e 113532 plasma-scriptengine-webkit_4.4.5-5_amd64.deb
 28e6a703411282d67f7233600c5af808d28b9291 74372 plasma-scriptengine-googlegadgets_4.4.5-5_amd64.deb
 32065c4297ef5566d872cb63b3bfddd9edd1d074 3862566 kdm_4.4.5-5_amd64.deb
 99a798f324bb0c45b4cf7ced58026e097f322483 146852 klipper_4.4.5-5_amd64.deb
 5984f971d8e2770b363e8970086858fa24cd0b38 87194 ksysguardd_4.4.5-5_amd64.deb
 850788c2ad4b58be04565f38c9fc605fbfb30712 276652 ksysguard_4.4.5-5_amd64.deb
 8f6a91da4cb56014c3ffc3d16fdafdb5c8f515b4 2525564 kde-window-manager_4.4.5-5_amd64.deb
 cca4f79cf8210ddf758fe48482b4bbb872b928c1 73188 libkdecorations4_4.4.5-5_amd64.deb
 efb5c75bd8060ecee270a35e4a6a935efcca866f 101796 libkwineffects1a_4.4.5-5_amd64.deb
 997b45dd35c6cb2cd10a39c1290a85fc1033ad84 391064 systemsettings_4.4.5-5_amd64.deb
 5f0417046a6a0d48036d35e4ecd066231fa74fe3 70802 kdebase-workspace-kgreet-plugins_4.4.5-5_amd64.deb
 7f6ed49a0e5b93dffecfa03fac4e1b00c8404cba 99050 libkephal4_4.4.5-5_amd64.deb
 ced4eb731e5a3f4a401c2325439e4a0cf2868c5f 41604 libkscreensaver5_4.4.5-5_amd64.deb
 ddd3b1f8ed8c4097d748ac4c3e13f74e21004a61 61232 libksgrd4_4.4.5-5_amd64.deb
 0a2e8c74940ab7eda95eed66f96381a0cc5e1c34 53502 libksignalplotter4_4.4.5-5_amd64.deb
 b562c685d84c5d74eafbb7ff0e52c2835f1eb604 66792 libkworkspace4_4.4.5-5_amd64.deb
 498867b8423412c2e1ee9c99b3dcbeb51f3405e7 38778 liblsofui4_4.4.5-5_amd64.deb
 4911bcc490cfd2f8503a61927be59ef0f2fcc329 92106 libplasmaclock4a_4.4.5-5_amd64.deb
 9dff02eff2cc9b83e6761e5258f2530cbf0cc29f 36930 libplasma-geolocation-interface4_4.4.5-5_amd64.deb
 cdffd3559ab98b89b36b92cc73a27d5c049c45ac 142216 libplasmagenericshell4_4.4.5-5_amd64.deb
 65defa4f7c23bedb9561951ad6995aaa2319cc83 59530 libprocesscore4a_4.4.5-5_amd64.deb
 2b30e3e79fb8e1d6121246ece3a3551e30ef0586 342490 libprocessui4a_4.4.5-5_amd64.deb
 1a0d6c17b0420a7b0fc0fe485fb04dc5cad3837c 114510 libsolidcontrol4_4.4.5-5_amd64.deb
 26b9cb55395768eb0e73aa1c79a1a52860a71af0 45518 libsolidcontrolifaces4_4.4.5-5_amd64.deb
 1a532f542cf3224f32f1490fc68ca3cb4272b00d 124244 libtaskmanager4a_4.4.5-5_amd64.deb
 ae5bc8fef79cafc2a044d65ba213e9c8b78a869f 38264 libweather-ion4a_4.4.5-5_amd64.deb
 88f6dd10b32bc05004850be4e5bf88d1407d3ca5 78038524 kdebase-workspace-dbg_4.4.5-5_amd64.deb
Checksums-Sha256: 
 d03a92c254e718eea900633b0f562515921dda4ae9db7fe33f9f6b9f30351445 3483 kdebase-workspace_4.4.5-5.dsc
 4bf379450b1b338ade700b976a05ae90fa2bb2ab3b047b386cc3e747011ee94a 140253 kdebase-workspace_4.4.5-5.debian.tar.gz
 4fb9d5235fa44ec625876958bf55b32abcadd9d45b16efcf89fb9fb6d78f403d 31120 kdebase-workspace_4.4.5-5_all.deb
 e6a04fcca7caf350a3c031d137f0588348d277edfb03cccf0c82ee121200f4c6 68153780 kdebase-workspace-data_4.4.5-5_all.deb
 8dbca9a001996c07116bd3623a1206ed6b8eacb40459ac1ae4ed0f8291c3c096 29648 plasma-scriptengines_4.4.5-5_all.deb
 520e8d077fcc4acc1df196fdefd380018ccafef3507baf062a8ff839c749cb3b 37458 plasma-scriptengine-ruby_4.4.5-5_all.deb
 effd888bb6ace39c261ddfc9fe12b472bab00e51a92ec5827ff484d4f1f55770 44048 plasma-scriptengine-python_4.4.5-5_all.deb
 046e2a2ca60607dbecb46e684414ecacf53fb373233e29f90a6ac507f1baeed5 633684 plasma-desktop_4.4.5-5_amd64.deb
 b79090b15bce52c931e0f441cc6fa648d5d9d63455f06ad65e932706c826e5d2 325268 plasma-netbook_4.4.5-5_amd64.deb
 3e16efd20e4a88c8c975b13d64cd843a2b2104b0101c72f4f7ddaad92db5ee81 3483528 kdebase-workspace-bin_4.4.5-5_amd64.deb
 5734d1497d701558cb55f461ec6dd6a10878e37b1ff3f52dd7c0f0b23f5c8142 174456 kdebase-workspace-dev_4.4.5-5_amd64.deb
 98579b1d6fe1d6bd2c34b6b2ea4530a41b3e43790c3927d03a216f4cad1156fd 689616 plasma-dataengines-workspace_4.4.5-5_amd64.deb
 47d3ff0cbec4de1603efebb5ffa67fca4cb7d267e850efbc4482db2ed4508b8a 672148 plasma-widgets-workspace_4.4.5-5_amd64.deb
 30c729e222dddbba49e4c5777945439ab8a14090e3d9df6d4572e54884e36786 48994 plasma-scriptengine-qedje_4.4.5-5_amd64.deb
 4c05e7ed8b74b3b37f2f5e061ca00bbfa7aeeb5dcc1a940f50f4811b6168a927 113532 plasma-scriptengine-webkit_4.4.5-5_amd64.deb
 e41706e68410b8450b0c2ebadebdd7bee9ee26a1568b8a99a057f90dd72ca111 74372 plasma-scriptengine-googlegadgets_4.4.5-5_amd64.deb
 9293e9f8ad1d5de308482e795cfe556665f1d2a42a399356d5a5b1bda45c6ec5 3862566 kdm_4.4.5-5_amd64.deb
 fe5475d94d0f06ee15a9a8ec16747c5c9e1f245036aaf93cd386ecbcd87cabfb 146852 klipper_4.4.5-5_amd64.deb
 da02db457abfd36b3316a8a97a214aeeca3349fe5ec1e8fd0283a37715ef0d37 87194 ksysguardd_4.4.5-5_amd64.deb
 12bb075d99b402f70ed07d8a211f8178ad0f6f6481a9ab057b9171dd469a08a7 276652 ksysguard_4.4.5-5_amd64.deb
 f5875f952ac89a9c5be6fb64450abf96da23df4b484ccfa60fb8156dadef18cc 2525564 kde-window-manager_4.4.5-5_amd64.deb
 c400f73fed3c65714d8e29cc23013e8d34519fa5603b2c23bfe77fa2d06950d2 73188 libkdecorations4_4.4.5-5_amd64.deb
 98a953e44c53525e4a51191ddc781d70bb29ee66e803e6ea243c42faa260fcc5 101796 libkwineffects1a_4.4.5-5_amd64.deb
 7ef1510b5035d23650ff2e5be61570c7519396b41cbfb1200331913ad2d4ef25 391064 systemsettings_4.4.5-5_amd64.deb
 f8ab2a74cc7ce049701c74a8f41534941cb9995f51ddaa433100e15a0c50fbd5 70802 kdebase-workspace-kgreet-plugins_4.4.5-5_amd64.deb
 df9e49acf6f06fd94edddcd1575ca9291880a84a8a7f44d47237240dc16a681e 99050 libkephal4_4.4.5-5_amd64.deb
 060810b5b634d1c3d4a93ed74863c8268e14c3d859de037ead53943c6769b1c5 41604 libkscreensaver5_4.4.5-5_amd64.deb
 e28f19fb06ab5838cf79ab4b3a8bca309fe497eafc93d795e243252cbe097de2 61232 libksgrd4_4.4.5-5_amd64.deb
 4b27c7ff0047d2e3182e0993b2e3885a2b1956b158604fb98ceddad599ea313a 53502 libksignalplotter4_4.4.5-5_amd64.deb
 9c10a03a5e5e3ec1c7dc3e44d90e0ed54a90fe112e04609611a2b91beb65ec7b 66792 libkworkspace4_4.4.5-5_amd64.deb
 f77390a588539224314d69be5ded930bdfa06f8d5bdb6e739eecc0549ba7e141 38778 liblsofui4_4.4.5-5_amd64.deb
 3b00df62407b846d2f614d84d331b1e24c62c146e4fa77ce4fe5d2f5496d1312 92106 libplasmaclock4a_4.4.5-5_amd64.deb
 5ad91c10da9cdb16ffa2ad17c6149ebe0c9e2d83765b6cdd67fa54c4c8102eb7 36930 libplasma-geolocation-interface4_4.4.5-5_amd64.deb
 c9cf2a15d2cd233761e2f205fa4dbeafa1488baa35c4806a478320a0af6d6ecc 142216 libplasmagenericshell4_4.4.5-5_amd64.deb
 7dbe145527c0134ef60f61ddc1195236b452ebbc0988426127d35932c0843503 59530 libprocesscore4a_4.4.5-5_amd64.deb
 dce0c0d49c3902ef40695eb471c25aa6de09ce6588752007120abd7e68f29bf4 342490 libprocessui4a_4.4.5-5_amd64.deb
 3e9cd865545a11a7bf87b6c9808e2b87ba9174d2439c7b029165344d75fdc6dd 114510 libsolidcontrol4_4.4.5-5_amd64.deb
 2ce4bf2e2bcf0471af6024bf670d6d5a083d711115d2e90dde029dca1fefe57e 45518 libsolidcontrolifaces4_4.4.5-5_amd64.deb
 8b19b59341f3ea7d3e7585b67581f0b31a2d8c9a3d71a5439e94645293f35a18 124244 libtaskmanager4a_4.4.5-5_amd64.deb
 696e6f165bbb82855d60ba0f8e70a736b0291133822a4c598717b26363c07b03 38264 libweather-ion4a_4.4.5-5_amd64.deb
 20b78338ace291b94287f6ac7cc8468aea2ca9d3a87a1b44c86c9c1a2dc0feed 78038524 kdebase-workspace-dbg_4.4.5-5_amd64.deb
Files: 
 1e970fb51456875a83d818f8951f62da 3483 kde optional kdebase-workspace_4.4.5-5.dsc
 5719ab9d5074cd487a494fc888d47efb 140253 kde optional kdebase-workspace_4.4.5-5.debian.tar.gz
 920dc4aa9ff0edd1fa7a7165e38cf6c3 31120 kde optional kdebase-workspace_4.4.5-5_all.deb
 521bd296b4b6e1161f689a00f00d5fd6 68153780 kde optional kdebase-workspace-data_4.4.5-5_all.deb
 3a9b317c9d1631a70032b221f7465c91 29648 kde optional plasma-scriptengines_4.4.5-5_all.deb
 a405929b6a783c9b2d2c68d9a017c921 37458 kde optional plasma-scriptengine-ruby_4.4.5-5_all.deb
 1f54ef48765b5d1d26c057241e02a869 44048 kde optional plasma-scriptengine-python_4.4.5-5_all.deb
 625983057a3d88f49abdefbb50ea0c14 633684 kde optional plasma-desktop_4.4.5-5_amd64.deb
 41ef84837e0c9e42701328b694b7f727 325268 kde optional plasma-netbook_4.4.5-5_amd64.deb
 0af924cfb2a3434349801332af2c37c0 3483528 kde optional kdebase-workspace-bin_4.4.5-5_amd64.deb
 1e41c0d821bb34e2e6e1c0c5adadaf5b 174456 kde optional kdebase-workspace-dev_4.4.5-5_amd64.deb
 96561bf57df989c3ea375802d028d9ee 689616 kde optional plasma-dataengines-workspace_4.4.5-5_amd64.deb
 41b282511d4d94840bb19e3164f7b452 672148 kde optional plasma-widgets-workspace_4.4.5-5_amd64.deb
 2a412d22bef7e8cfb88508bb42e4b415 48994 kde optional plasma-scriptengine-qedje_4.4.5-5_amd64.deb
 3ee1e39d831aa2e29352cb7066731442 113532 kde optional plasma-scriptengine-webkit_4.4.5-5_amd64.deb
 a3ff787ca9b436259d692231030951ce 74372 kde extra plasma-scriptengine-googlegadgets_4.4.5-5_amd64.deb
 ccd5f808c677c6ff78bbc390125c7f19 3862566 x11 optional kdm_4.4.5-5_amd64.deb
 a9f0e85d1b77ad37a0d6bc112e87f9a7 146852 x11 optional klipper_4.4.5-5_amd64.deb
 f8cba6be4d61e59ca88d36b1b80c2779 87194 utils optional ksysguardd_4.4.5-5_amd64.deb
 f18a40fbd16158c4d70a8a1970639c4c 276652 utils optional ksysguard_4.4.5-5_amd64.deb
 a2ce9ffe9b7fbf85f2a03aa44c55560f 2525564 x11 optional kde-window-manager_4.4.5-5_amd64.deb
 1e487f5ece10e26a35e38b935e2ec2be 73188 libs optional libkdecorations4_4.4.5-5_amd64.deb
 f605d3c10c24a9cfb35111b7085b7753 101796 libs optional libkwineffects1a_4.4.5-5_amd64.deb
 cba4d05e0b7e2654a742be510d3b2894 391064 kde optional systemsettings_4.4.5-5_amd64.deb
 e2c538b431f29baa42b8f5a9e39c0622 70802 libs optional kdebase-workspace-kgreet-plugins_4.4.5-5_amd64.deb
 b9b8bfea9ee25663fbc2b8f2bae6cccb 99050 libs optional libkephal4_4.4.5-5_amd64.deb
 d7bd335660ef49a33fcbe8c1c5c36651 41604 libs optional libkscreensaver5_4.4.5-5_amd64.deb
 bc0d9a4f8da1ba23f004ce4b0c6826d9 61232 libs optional libksgrd4_4.4.5-5_amd64.deb
 d120fa3cd65464cdfca388fc8c491111 53502 libs optional libksignalplotter4_4.4.5-5_amd64.deb
 377bcb73a40f83b1027bcd589caeccb0 66792 libs optional libkworkspace4_4.4.5-5_amd64.deb
 7a8d377947dc39075c7c40671a5a91d1 38778 libs optional liblsofui4_4.4.5-5_amd64.deb
 09d7045220bc43ad145d27228ce50741 92106 libs optional libplasmaclock4a_4.4.5-5_amd64.deb
 d1f5950cdff905abd27c069853570640 36930 libs optional libplasma-geolocation-interface4_4.4.5-5_amd64.deb
 d2900957f3a02f9b214c54e757da133c 142216 libs optional libplasmagenericshell4_4.4.5-5_amd64.deb
 d0b47aba9da5dfcd723b8390a86c9195 59530 libs optional libprocesscore4a_4.4.5-5_amd64.deb
 3f5ed5a66f277a4f711bdcebc5e293e7 342490 libs optional libprocessui4a_4.4.5-5_amd64.deb
 4bea462eb8f70ff77c8b1ed5368f5edc 114510 libs optional libsolidcontrol4_4.4.5-5_amd64.deb
 1533741c71d3d8b11ae493fcdb56f577 45518 libs optional libsolidcontrolifaces4_4.4.5-5_amd64.deb
 ea9fd35455615afc171dd30188783d58 124244 libs optional libtaskmanager4a_4.4.5-5_amd64.deb
 356ae39267307e41558bfcf209e9be54 38264 libs optional libweather-ion4a_4.4.5-5_amd64.deb
 9c283666930ee446d33ce6d702f06753 78038524 debug extra kdebase-workspace-dbg_4.4.5-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzyQXAACgkQHO9JRnPq4hT0SQCgpdKqdsMfKVQuFM01iR4nY0Ng
TKsAoKOgZP4ej3V/8RRpis8vSbhMGH1k
=JA9k
-----END PGP SIGNATURE-----





Request was from Didier Raboud <didier@raboud.com> to control@bugs.debian.org. (Tue, 30 Nov 2010 15:15:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Jan 2011 07:33:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:19:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.